<?php
/**
 * @package     Module VEL Checker for Joomla
 * @version     1.1.6
 * @author      Stergios Zgouletas <info@web-expert.gr> / WEB EXPERT SERVICES LTD
 * @link        http://www.web-expert.gr
 * @copyright   Copyright (C) 2019-2020 WEB EXPERT SERVICES LTD. All Rights Reserved
 * @license     http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */
defined( '_JEXEC' ) or die( 'Restricted access' );

$app = JFactory::getApplication();
$moduleclass_sfx=$params->get('moduleclass_sfx','');
jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');
$params->set('moduleid',$module->id);
require_once __DIR__ . '/helper.php';

$uid=($app->input->getCMD('mod')=='velchecker' && $app->input->getInt('ignore')==1 && $app->input->getInt('uid'))?$app->input->getInt('uid'):0;
$uid=($app->input->getCMD('mod')=='velchecker' && $app->input->getInt('reset')==1)?-1:$uid;
$force=$app->input->getCMD('mod')=='velchecker' && $app->input->getInt('force')==1;
$disc=dirname(__FILE__).'/.disclaimer';

if($app->input->getCMD('mod')=='velchecker' && $app->input->getInt('accept',-1)!=-1)
{
	//ask to Accept Disclaimer once per year
	$t=$app->input->getInt('accept',1) ? time() + 365 * 24 * 60* 60 : time()-3600;
	JFile::write($disc,$t);
}

$timeAccepted=JFile::exists($disc)?(int)file_get_contents($disc):time()-3600;
$discAccepted=$timeAccepted>time();

if($discAccepted)
{
	$cache = JFactory::getCache('mod_velchecker');
	$cache->setCaching(1);
	$cache->setLifeTime((int)$params->get('cache_time',60));

	if($uid!=0 || $force) $cache->clean();
	$ignoreList= $cache->call(array('modVelcheckerHelper','ignoreList'),$uid);

	if(!$params->get('debug',0) && $params->get('cache_time',0))
	{
		$reports = $cache->call(array('modVelcheckerHelper','getReport'),$params,$ignoreList);
	}
	else
	{
		$reports=modVelcheckerHelper::getReport($params,$ignoreList);
	}
}

$layout=$discAccepted?$params->get('layout', 'default'):'disclaimer';
require(JModuleHelper::getLayoutPath('mod_velchecker',$layout));