<?php
/**
 * @package     Module VEL Checker for Joomla
 * @version     1.1.5
 * @author      Stergios Zgouletas <info@web-expert.gr> / WEB EXPERT SERVICES LTD
 * @link        http://www.web-expert.gr
 * @copyright   Copyright (C) 2019-2020 WEB EXPERT SERVICES LTD. All Rights Reserved
 * @license     http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */
defined('_JEXEC') or die;

class mod_velcheckerInstallerScript
{
	function install($parent) 
	{
		$this->autoPublish();
		$this->disclaimer();
	}

	function uninstall($parent) 
	{
		$this->removeDisclaimer(1);
	}

	function update($parent) 
	{
		$this->removeDisclaimer();
		$this->autoPublish();
		$this->disclaimer();
	}

	function preflight($type, $parent) 
	{
		
	}

	function postflight($type, $parent) 
	{
		
	}
	
	function autoPublish($modname='mod_velchecker')
	{
		$db = JFactory::getDBO();
		$db->setQuery('SELECT * FROM `#__modules` WHERE `module`='.$db->quote($modname).' AND `client_id`=1 LIMIT 1;');
		$mod=$db->loadObject();
		if($mod->id && !$mod->published)
		{	
			$db->setQuery('UPDATE `#__modules` SET `ordering`="-1",`position`="cpanel",`published`="1" WHERE `module`='.$db->quote($modname).' AND `id`='.$db->quote($mod->id));
			$db->execute();
		}	
	}
	
	function removeDisclaimer($force=0) 
	{
		$disc=JPATH_ADMINISTRATOR.'/modules/mod_velchecker/.disclaimer';
		$timeAccepted=JFile::exists($disc)?(int)file_get_contents($disc):time()-3600;
		if($force || time()>=$timeAccepted) JFile::delete($disc);		
	}
	
	function disclaimer()
	{
		$lang = JFactory::getLanguage();
		$lang->load('mod_velchecker',JPATH_ADMINISTRATOR,'en-GB',true);
		if($lang->getTag()!='en-GB') $lang->load('mod_velchecker',JPATH_ADMINISTRATOR,$lang->getTag(),true);
		?>
		 <div class="alert alert-info disclaimer">
			<h3><?php echo JText::_('MOD_VELCHECHER_DISCLAIMER');?> <a target="_blank" href="https://vel.joomla.org/live-vel">vel.joomla.org</a></h3>
			<h4><?php echo JText::_('MOD_VELCHECHER_DISCLAIMER2');?></h4>
			<a class="velcheckeraccept btn btn-success" href="index.php?mod=velchecker&accept=1&_t=<?php echo time();?>"><?php echo JText::_('MOD_VELCHECHER_UNDERSTAND_ACCEPT');?></a>
			<a class="velcheckerdecipline btn btn-danger" href="index.php?option=com_installer&view=manage&filter[search]=vel"><?php echo JText::_('MOD_VELCHECHER_UNINSTALL');?></a>
		</div>	
	<?php
	}
}