<?php
/**
 * @package     Module VEL Checker for Joomla
 * @version     1.1.5
 * @author      Stergios Zgouletas <info@web-expert.gr> / WEB EXPERT SERVICES LTD
 * @link        http://www.web-expert.gr
 * @copyright   Copyright (C) 2019-2020 WEB EXPERT SERVICES LTD. All Rights Reserved
 * @license     http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */
defined('_JEXEC') or die;
?>
<div class="velist<?php echo $params->get('moduleclass_sfx'); ?>" id="mod_velchecker_wrapper">
	<div class="row-fluid">
		<div class="span12 alert alert-info disclaimer">
			<h4><?php echo JText::_('MOD_VELCHECHER_DISCLAIMER');?> <a target="_blank" href="https://vel.joomla.org/live-vel">vel.joomla.org</a></h4>
			<h5><?php echo JText::_('MOD_VELCHECHER_DISCLAIMER2');?></h5>
		</div>
	</div>
	<div id="veltoolbar" style="text-align:right;">
		<a class="velcheckerforce btn btn-success" href="index.php?mod=velchecker&force=1&_t=<?php echo time();?>"><?php echo JText::_('MOD_VELCHECHER_CHECK_AGAIN');?></a>
		<a class="velcheckerreset btn btn-info" href="index.php?mod=velchecker&reset=1&_t=<?php echo time();?>"><?php echo JText::_('MOD_VELCHECHER_RESET_IGNORELIST');?></a>
	</div>
	<div class="clearfix"></div>
	<?php if(isset($reports['error'])):?>
	<div class="row-fluid">
		<div class="span12 alert alert-danger">
			<p><?php echo $reports['error'];?></p>
		</div>
	</div>
	<?php endif;?>
	<?php echo JHtml::_('bootstrap.startTabSet', 'mod_velchecker', array('active' => 'danger')); ?>
	<!-- Extension in danger -->
	<?php echo JHtml::_('bootstrap.addTab', 'mod_velchecker', 'danger', JText::_('MOD_VELCHECHER_INDANGER')); ?>
		<?php if(!$reports['stats']['indanger']['items']):?>
		<div class="alert alert-success">
			<p><?php echo JText::_('MOD_VELCHECHER_SITESAFE');?></p>
		</div>
		<?php else: ?>
			<?php foreach($reports['indanger'] as $row):?>
			<?php echo parseVelRow($row,$params);?>
			<?php endforeach;?>
		<?php endif?>
	<?php echo JHtml::_('bootstrap.endTab'); ?>
	<!-- Extension updated and are safe -->
	<?php echo JHtml::_('bootstrap.addTab', 'mod_velchecker', 'installed', JText::_('MOD_VELCHECHER_INSTALLED')); ?>
		<?php if(!$reports['stats']['installed']['items']):?>
		<div class="alert alert-success">
			<p><?php echo JText::_('MOD_VELCHECHER_SITESAFE');?></p>
		</div>
		<?php else: ?>
			<?php foreach($reports['installed'] as $row):?>
			<?php echo parseVelRow($row,$params);?>
			<?php endforeach;?>
		<?php endif?>
	<?php echo JHtml::_('bootstrap.endTab'); ?>
	<?php echo JHtml::_('bootstrap.endTabSet'); ?>
	<p><?php echo JText::_('MOD_VELCHECHER_DISCLAIMER3');?></p>
</div>
<script>
	jQuery(function($)
	{
		$('a.toggledesc').click(function(e)
		{
			e.preventDefault();
			div=$(this).attr('href');
			$(div).css('display')=='none' ? $(div).show() : $(div).hide();			
		});
	});
</script>
<!--
<style>
	span.fieldwrap{background-color:#999292;color:#fff;padding:2px 2px;}
</style>
-->
<?php
function parseVelRow($ext,$params)
{
	if(isset($ext['ignored']) && $ext['ignored']) return '';
	
	loadLangExt($ext);
	$html='<p><span class="fieldwrap">'.JText::_('MOD_VELCHECHER_EXTENSION').'</span>: <b>'.JText::_($ext['name']).'</b> ';
	$html.='<span class="fieldwrap">'.JText::_('MOD_VELCHECHER_EXTTYPE').'</span>: <b>'.$ext['type'].'</b> ';
	if($ext['type']=='plugin') $html.='<span class="fieldwrap">'.JText::_('MOD_VELCHECHER_FOLDER').'</span>: <b>'.$ext['folder'].'</b>';
	$html.=' <span class="fieldwrap">'.JText::_('MOD_VELCHECHER_ACCURANCY').'</span>: <b>'.$ext['accurancy'].'/6</b></p>';
	
	$html.='<p><span class="fieldwrap">'.JText::_('MOD_VELCHECHER_CVERSION').'</span>: <b>'.$ext['cversion'].'</b></p>';
	$html.='<p><span class="fieldwrap">'.JText::_('MOD_VELCHECHER_AFFECTEDVERSIONS').'</span>: <b>'.implode(', ',$ext['velinfo']['vulnerable_versions']).'</b></p>';	
	$html.='<p>';
	if($ext['indanger']) $html.='<span class="fieldwrap">'.JText::_('MOD_VELCHECHER_RECOMMENDATION').'</span>: <b>'.($ext['velinfo']['status']==2?JText::_('MOD_VELCHECHER_EXT_UPDATE'):JText::_('MOD_VELCHECHER_EXT_DISABLE')).'</b> ';
	
	 if($ext['uid'] && $ext['indanger'])
		 $html.='<a class="btn btn-danger" href="index.php?mod=velchecker&ignore=1&uid='.$ext['uid'].'&_t='.time().'">'.JText::_('MOD_VELCHECHER_IGNORE').'</a> ';
	 
	 if(isset($ext['velinfo']['update_notice']) && JString::substr($ext['velinfo']['update_notice'],0,4)=='http') 
	 {
		$html.='<a target="_blank" class="btn btn-info" href="'.$ext['velinfo']['update_notice'].'">'.JText::_('MOD_VELCHECHER_VEL_UPDATE_NOTICE').'</a>';
	 }
	$html.='</p>';
	 
	$html.='<p><span class="fieldwrap">'.JText::_('MOD_VELCHECHER_VEL_DESC').'</span>: <a class="toggledesc" href="#desc_'.$ext['uid'].'">'.JText::_('MOD_VELCHECHER_VEL_DESC_TOGGLE').'</a></p>
	<div style="display:none;" id="desc_'.$ext['uid'].'">'.JString::trim(html_entity_decode($ext['velinfo']['description'])).'</div>';
	
	$html.='<p><span class="fieldwrap">'.JText::_('MOD_VELCHECHER_VEL_CREATED').'</span>: <b>'.date('d/m/Y H:i',strtotime($ext['velinfo']['created'])).'</b></p>';

	if($params->get('debug',0)) $html.= '<pre>'.print_r($ext,true).'</pre>';
	return '<div class="alert alert-'.($ext['indanger']?'danger':'success').'">'.$html.'</div>';
}

//does not work ...yet
function loadLangExt($ext)
{
	$key=$ext['name'].$ext['type'];
	static $loaded=array();
	if(isset($loaded[$key])) return true;
	
	$lang = JFactory::getLanguage();
	$lang->load($ext['name'],JPATH_ADMINISTRATOR,'en-GB');
	if($lang->getTag()!='en-GB') $lang->load($ext['name'],JPATH_ADMINISTRATOR,$lang->getTag(),true);
	$loaded[$key]=true;
}